<div>
  <h5 class="eui-u-f-l-bold">{{ 'app.features.asset.details.associationsTable.title' | translate }}</h5>
  <div class="eui-table__scrollable-wrapper">
    <table
      euiTable
      [euiTableResponsive]="true"
      [isHoverable]="true"
      [rows]="associationsData">
      <ng-template euiTemplate="header">
        <tr>
          <th sortable isMultiSortable defaultMultiOrder="2" sortOrder="asc" sortOn="name">
            {{ 'app.features.asset.details.associationsTable.columns.assetName' | translate }}
          </th>
          <th sortable isMultiSortable defaultMultiOrder="4" sortOrder="asc" sortOn="description">
            {{ 'app.features.asset.details.associationsTable.columns.description' | translate }}
          </th>
          <th sortable isMultiSortable defaultMultiOrder="1" sortOrder="asc" sortOn="type">
            {{ 'app.features.asset.details.associationsTable.columns.associationType' | translate }}
          </th>
          <th sortable isMultiSortable defaultMultiOrder="3" sortOrder="desc" sortOn="version">
            {{ 'app.features.asset.details.associationsTable.columns.version' | translate }}
          </th>
          <th class="eui-u-width-1"></th>
        </tr>
      </ng-template>
      <ng-template let-row euiTemplate="body">
        <tr>
          <td data-col-label="Asset Name">
            <a
              (click)="onSelectAssociation(row)"
              class="sr-link">{{ row.name }}
            </a>
          </td>
          <td data-col-label="Description"> {{ row?.description }}</td>
          <td data-col-label="Associations type">
            {{ 'app.features.asset.details.associationsTable.data.associationType.' + row.type | translate }}
          </td>
          <td data-col-label="Version"> {{ row?.version }}</td>

          <td>
            <div class="eui-u-text-right">
              @if (row?.showSearchButton) {
                <button
                  class="eui-u-ml-s"
                  euiButton
                  euiBranding
                  [euiOutline]="true"
                  (click)="onFindAssetsClicked(row)">
                  <eui-icon-svg icon="search" set="outline" size="m"></eui-icon-svg>
                  {{ 'app.features.asset.details.associationsTable.label.find' | translate }}
                </button>
              }
            </div>
          </td>

        </tr>
      </ng-template>
    </table>
  </div>
</div>


<!--   if we have profile of we     -->
<!--1. hide find button -->
<!--  2. link should point to landing page of the profileof-->
<!---->